local HideBlizzard = LibStub("AceAddon-3.0"):GetAddon("HideBlizzard")
local MODNAME = "About"
local About = HideBlizzard:NewModule(MODNAME)

local options
local function optSettings()
	if not options then
		options = {
			type = "group",
			name = "About",
			args = {
				credits = {
					type = "description",
					order = 1,
					name = "I would like to thank the following addon authors for the code that is used in this addon:\n",
				},
				mapster = {
					order = 2,
					type = "input",
					name = "Mapster",
					set = false,
					get = function() return "http://www.wowace.com/addons/mapster/" end,
					width = "full",
				},
				dominos = {
					order = 3,
					type = "input",
					name = "Dominos",
					set = false,
					get = function() return "http://www.wowinterface.com/downloads/info9085-Dominos.html" end,
					width = "full",
				},
				questhelper = {
					order = 4,
					type = "input",
					name = "Quest Helper",
					set = false,
					get = function() return "http://www.wowinterface.com/downloads/info9896-QuestHelper.html" end,
					width = "full",
				},
				addon = {
					type = "description",
					order = 5,
					name = "\nIf you liked HideBlizzard check out some other addons made by me:",
				},
				otheraddon = {
					order = 6,
					type = "input",
					name = "test",
					set = false,
					get = function() return "test123" end,
					width = "full",
				},
			},
		}
	end

	return options
end

function About:OnInitialize()
	self.db = HideBlizzard.db:RegisterNamespace(MODNAME, defaults)
	db = self.db.profile

	self:SetEnabledState(HideBlizzard:GetModuleEnabled(MODNAME))
	HideBlizzard:RegisterModuleOptions(MODNAME, optSettings, "About")
end

function About:OnEnable()
end

function About:OnDisable()
end